package com.iformall.pay;

import lombok.Data;

/**
 * Created by Stormeye on 2018/8/10.
 */
@Data
public class WxRefundOrderSP {
    private String appid;               // 公众账号ID
    private String sub_appid;           // 小程序ID
    private String mch_id;              // 服务号
    private String sub_mch_id;          // 特约商户号
    private String nonce_str;           // 随机字符串
    private String sign;                // 签名
    private String sign_type;           // 签名类型
    private String transaction_id;      // 微信订单号
    private String out_trade_no;        // 商户订单号
    private String out_refund_no;       // 商户退款单号
    private Integer total_fee;          // 支付金额
    private Integer refund_fee;         // 退款金额
    private String refund_desc;         // 退款原因
    private String notify_url;          // 回调接口

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("WxRefundOrder{");
        sb.append("appid='").append(appid).append('\'');
        sb.append(", sub_appid='").append(sub_appid).append('\'');
        sb.append(", mch_id='").append(mch_id).append('\'');
        sb.append(", sub_mch_id='").append(sub_mch_id).append('\'');
        sb.append(", nonce_str='").append(nonce_str).append('\'');
        sb.append(", sign='").append(sign).append('\'');
        sb.append(", out_trade_no='").append(out_trade_no).append('\'');
        sb.append(", out_refund_no='").append(out_refund_no).append('\'');
        sb.append(", total_fee=").append(total_fee);
        sb.append(", refund_fee=").append(refund_fee);
        sb.append('}');
        return sb.toString();
    }
}
